| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLReaderFactory Class Reference

Creates a SAX2 parser (SAX2XMLReader). More...

`#include <XMLReaderFactory.hpp>`

List of all members.

## Static Public Methods

SAX2XMLReader* | createXMLReader ()
SAX2XMLReader* | createXMLReader (const XMLCh *className)

## Protected Methods

| XMLReaderFactory ()
| ~XMLReaderFactory ()

## Detailed Description

Creates a SAX2 parser (SAX2XMLReader).

Note: The parser object returned by XMLReaderFactory is owned by the calling users, and it's the responsiblity of the users to delete that parser object, once they no longer need it.

See also:
  SAX2XMLReader::SAX2XMLReader

## Constructor & Destructor Documentation

XMLReaderFactory::XMLReaderFactory ( | )`[protected]`

XMLReaderFactory::~XMLReaderFactory ( | )`[protected]`

## Member Function Documentation

SAX2XMLReader * XMLReaderFactory::createXMLReader ( | const XMLCh * className )`[static]`

SAX2XMLReader * XMLReaderFactory::createXMLReader ( | )`[static]`

The documentation for this class was generated from the following file:

- XMLReaderFactory.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.